// C Source File
// Created 2/5/01; 7:50:45 PM
/*
		Home Screen Restore - Restores the Home Screen App to its original state
		after an assembly language program messes it up.
    Copyright (C) 2001  Greg Dietsche

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

   My Email:gforceti86calc@email.com or 
   					gdietsche@email.com
My Webpage:www.geocities.com/gdietsche/index.html

Complied with TIGCC v0.91 sp1 (Library v2.4)
GCC Switches:-Os -Wall -W
Assembler Switches:-k -g -t
Linker Switches:
Use BSR function calls: TRUE

*/

#define APP_VERSION "v1.4"
#define OPTIMIZE_ROM_CALLS    // Use ROM Call Optimization
#define NO_EXIT_SUPPORT				//Don't need it... only works with TIGCC .91 sp1

#include <tigcclib.h>         // Include All Header Files

short _ti89;                  // Produce .89Z File
short _ti92plus;              // Produce .9XZ File

void _main(void)
{
	EVENT ev;

	int y=LCD_HEIGHT-7;	//y position of the line
	int w=LCD_WIDTH-1;	//length of the line

	//Draw the Bottom Line
		DrawLine(0,y,w,y,A_NORMAL);	

	//Switch Apps twice to make sure both get CM_ACTIVATE messages
	//if there is only one, it will not matter
		pushkey(KEY_ESC);
			EV_switch();

		pushkey(KEY_ESC);
			EV_switch();

		
	//Just in case the calc has never seen anything else except the Home Screen app...
		ev.Type=CM_ACTIVATE;
		EV_sendEvent(AP_CURRENT,&ev);

	//Display a little message with hidden meaning...
	//with out this line, the status indicators may not be redrawn
		ST_helpMsg("Restore " APP_VERSION " by GForce");

}

/* 
***Change Log***
05/05/2001
	updated to version 1.4
	added #define NO_EXIT_SUPPORT	to take advantage of sp1
	
04/01/2001
	updated to version 1.3
	reworded the status line help message
	recompiled to take advantage of TIGCC .91 and the 2.4 library
	
02/13/2001
	updated to version 1.2
	Added two pushkey(KEY_ESC); statements. This fixes a problem with 
	version 1.1	where a dialog box could be displayed after a call to 
	EV_switch()
	
02/10/2001
		Updated to version 1.1
		Fixed the "VTI" bug, where the program would not work correctly
		If no other applications besides the Home Screen Application had been
		run yet. As is the case with a freshly reset VTI. This bug was fixed by
		sending an activate event to the home screen application.
		
02/09/2000
	Initial Release
	
*/
